# findAllConstraintArguments abstract method

List<Class> findAllConstraintArguments(

1. Class parentClass, [
2. bool declared = true

])

Retrieves all type arguments from all constraints applied to a class.

Parameters:

- `parentClass`: The class whose constraint arguments should be retrieved.
- `declared`: Whether to include inherited constraints (default: `true`).

Returns:

- A list of Class instances representing all constraint type arguments.

## Example

    final exampleClass = await loader.loadClass<MyClass>('package:example/test.dart.MyClass');
    final args = loader.findAllConstraintArguments(exampleClass);

## Implementation

    List<Class> findAllConstraintArguments(Class parentClass, [bool declared = true]);